This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 218232 - (pear-Math-Stats) Review Request: php-pear-Math-Stats - Classes to calculate statistical parameters
Review Request: php-pear-Math-Stats - Classes to calculate statistical parame...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-03 17:58 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-03 13:04:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-12-03 17:58:00 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Math-Stats.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Math-Stats-0.9.0-0.1.beta3.src.rpm

Description:
Package to calculate statistical parameters of numerical arrays
of data. The data can be in a simple numerical array, or in a
cummulative numerical array. A cummulative array, has the value
as the index and the number of repeats as the value for the
array item, e.g. $data = array(3=>4, 2.3=>5, 1.25=>6, 0.5=>3).
Comment 1 Josef Bacik 2006-12-27 15:13:38 EST
[jwhiter@dhcp59-101 ~]$ 
rpmlint /home/jwhiter/redhat/RPMS/noarch/php-pear-Math-Stats-0.9.0-0.1.beta3.noarch.rpm 
W: php-pear-Math-Stats non-standard-dir-in-usr doc 
[jwhiter@dhcp59-101 ~]$  

I'm assuming thats ok since you are putting the doc into a php-pear doc 
directory.

Everything else looks good.  As this is my first review I'm going to wait on 
feedback for the rpmlint error before approving this.
Comment 2 Josef Bacik 2006-12-27 16:20:14 EST
Ok everything looks good, here is my review check list.

review check:
 
 -rpmlint output:

[jwhiter@dhcp59-101 ~]$ 
rpmlint /home/jwhiter/redhat/RPMS/noarch/php-pear-Math-Stats-0.9.0-0.1.beta3.noarch.rpm 
[jwhiter@dhcp59-101 ~]$  
 
 - package is named according to the php package naming guidelines
 - spec file name matches %{name}
 - package meets package guidlines
 - package is licensed with appropriate open source license
 - license feild matches actual license
 - license is in %doc
 - license file is written in american english
 - spec file is legible
 - sources match upstream
   ffc0b653e5e2985113262a5299ebe69b  Math_Stats-0.9.0beta3.tgz
 - package successfully compiled on fc6 x86_64 box
 - buildrequires makes sense and everything required is present
 - no locales
 - no shared libraries
 - not relocatable
 - owns all directories it creates 
 - no duplicates in %files
 - permissions set properly
 - contains a %clean section
 - uses macros consistently 
 - contains code
 - no large documentation
 - files in %doc do not affect runtime
 - no header files or static libraries
 - no pkgconfig files
 - no dynamic libraries provided by package, no need for -devel package
 - no .la files
 - not a GUI application
 - does not own files or directories owned by other packages

sorry about the rpmlint problem before, I hadn't run fedora-buildrpmtree on 
the box I was building on.
Comment 3 Josef Bacik 2007-01-02 17:06:47 EST
chris - since you haven't sponsored me yet, is this supposed to be assigned to 
me?  If it is, am i supposed to move this into FE-ACCEPT?  If not what do you 
need me to do?
Comment 4 Christopher Stone 2007-01-02 17:29:42 EST
The bug should still block FE-NEW and be assigned to nobody@fedoraproject.org
(or whatever the default asignee is)
Comment 5 Michał Bentkowski 2007-01-03 12:39:59 EST
Review:
 * rpmlint is quiet (and that's good ;-))
 * I have no objection to names of package and spec file
 * sources match upstream (md5: ffc0b653e5e2985113262a5299ebe69b)
 * package is licensed under PHP open-source compatible license which is
properly mentioned in License field and included in %doc
 * no problems with building on fc6/x86_64
 * package isn't designed to be relocatable
 * %post and %postun are present (like in a template)
 * package meets every Guidelines it should
 * everything looks very similar to a php-pear spec template and
everything is good :)

There's even no need to set a FE-REVIEW blocker.
Me and everything else can say that:
 ___________
< Approved! >
 -----------
       \   ,__,
        \  (oo)____
           (__)    )\
              ||--|| *
Comment 6 Christopher Stone 2007-01-03 13:04:29 EST
- Imported into CVS
- Entry added to owners.list
- Tagged and Built on devel
- FC-5/6 branch request made

Thanks for the review!
Comment 7 Christopher Stone 2007-04-30 22:23:00 EDT
Package Change Request
======================
Package Name: php-pear-Math-Stats
New Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.